The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги | ]

24.10.2018 10:02  Релиз http-сервера Apache 2.4.37 с поддержкой TLSv1.3

Опубликован релиз HTTP-сервера Apache 2.4.37 (выпуск 2.4.36 был пропущен), в котором представлено 17 изменений.

Наиболее заметные изменения:

  • В mod_ssl добавлена поддержка OpenSSL 1.1.1 и протокола TLSv1.3;
  • Устранены проблемы с работой HTTP/2 при сборке с OpenSSL 1.1.1;
  • Устранён крах mod_ssl при повторном согласовании SSL-соединения при выставленной опции OptRenegotiate, в случае если клиентский сертификат тот же, что в изначальном соединении, но требует верификации;
  • В mod_brotli и mod_deflate восстановлена раздельная обработка ответов "304 Not Modified";
  • Улучшена обработка ошибок в mod_proxy_scgi и mod_proxy_uwsgi;
  • В mod_http2 в обработчик конца потока добавлен код для защиты от ситуации пропуска сигнала окончания потока (eos buckets) от обработчика запроса;
  • В утилиту ab добавлена поддержка клиентских сертификатов;
  • В mod_status и mod_echo налажено отображение клиентских IPv6-адресов (ранее адрес обрезался до 31 символа, что недостаточно для IPv6). Вместо поля 'client' в worker_score добавлено новое поле 'client64'.

  1. Главная ссылка к новости (https://www.mail-archive.com/a...)
  2. OpenNews: Уязвимости в Apache httpd и Apache Tomcat
  3. OpenNews: Проблемы в systemd и Apache httpd при обработке DNS-имён с символом подчёркивания
  4. OpenNews: Выпуск nginx 1.15.3 с поддержкой TLS 1.3
  5. OpenNews: Опубликован RFC для TLS 1.3
  6. OpenNews: Релиз http-сервера Apache 2.4.35
Лицензия: CC-BY
Тип: Программы
Ключевые слова: apache, httpd, tls
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение Ajax/Линейный | Раскрыть все сообщения | RSS
 
  • 1.1, ОМЖ (?), 12:26, 24/10/2018 [ответить] [показать ветку] [···]    [к модератору]
  • +/
    А все браузеры-то 1.3 уже поддерживают?
     
     
  • 2.2, xl32 (ok), 12:26, 24/10/2018 [^] [ответить]    [к модератору]
  • +2 +/
    Firefox 63 и Chrome 70 - да. Waterfox на подходе.
     
     
  • 3.4, Аноним (4), 13:22, 24/10/2018 [^] [ответить]    [к модератору]
  • –6 +/
    > Waterfox на подходе
    > Waterfox

    А каковы дела с TLSv1.3 в Яндекс.Браузере и Амиго?

     
     
  • 4.5, xl32 (ok), 16:08, 24/10/2018 [^] [ответить]    [к модератору]
  • +/
    Поддержкой TLSv1.3 в MS Internet Isportil я тоже не особо интересовался, если что.
     
  • 2.10, Аноним (10), 02:25, 26/10/2018 [^] [ответить]    [к модератору]
  • +/
    https://en.wikipedia.org/wiki/Transport_Layer_Security#Web_browsers
     
  • 1.3, xl32 (ok), 12:27, 24/10/2018 [ответить] [показать ветку] [···]    [к модератору]  
  • +2 +/
    OpenSSL 1.1.1 поддерживается с 2.4.35, а не с 2.4.37. Конечно, TLS 1.3 не работал. Сейчас всё отлично, работает в конфигурации по умолчанию.
     
  • 1.6, Jkeks (?), 20:00, 24/10/2018 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    Что все это значит? Домены на https из коробки будут работать?
     
     
  • 2.7, xl32 (ok), 20:50, 24/10/2018 [^] [ответить]    [к модератору]  
  • +/
    Поскольку mod_ssl включён в тарболл, они и так из коробки работают.
     
  • 1.8, А (??), 22:56, 24/10/2018 [ответить] [показать ветку] [···]    [к модератору]  
  • +1 +/
    Ещё бы поддержка tls 1.3 в дистры добавилось,в тот же centos, а то системная openssl там до 1.1.1 ещё когда доберется...
     
     
  • 2.9, xl32 (ok), 12:30, 25/10/2018 [^] [ответить]    [к модератору]  
  • +1 +/
    Зачем? А бинарная совместимость?
    А Nginx и Apache мы собираем. https://codeit.guru/ru_RU/
     

     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:


      Закладки на сайте
      Проследить за страницей
    Created 1996-2018 by Maxim Chirkov  
    ДобавитьПоддержатьВебмастеруГИД  
    Hosting by Ihor